Grant an app license to a member
PUT
/api/v1/organizations/members/{userId}/licenses/{appId}
const url = 'https://api.yggy.tech/api/v1/organizations/members/example/licenses/workspace';const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.yggy.tech/api/v1/organizations/members/example/licenses/workspace \ --header 'Authorization: Bearer <token>'Idempotent. The organization must be entitled to the app. Requires member:update.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” userId
required
string
appId
required
string
Responses
Section titled “ Responses ”License granted
App cannot be licensed or the organization is not entitled to it
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Member not found
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}